#pragma once
#ifndef __TEXTURE_H
#define __TEXTURE_H

#include "SimpleString.h"
#include "Def.h"

struct cubemap
{
	enum {
		up = 0,
		down = 1,
		right = 2,
		left = 3,
		forward = 4,
		backward = 5
	};
    SimpleString name[6];
    int sizeX, sizeY;
	color *texture; 
    float exposure;
    bool bExposed;
    bool bsRGB;
    cubemap() : texture(0), exposure(1.0f), bExposed(false), bsRGB(false) {};
    bool Init();
    void setExposure(float newExposure) {exposure = newExposure; }
    ~cubemap() { if (texture) delete []texture; }
};

color readTexture(const color* tab, float u, float v, int sizeU, int sizeV);
color readCubemap(const cubemap & cm, ray myRay);

#endif  //__TEXTURE_H
